summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Jean-Yves Didier2011-10-09 10:33:23 +0200
committer Robby Workman2011-10-12 04:20:30 +0200
commitd90a6c1c6732621b6e52aec937cb4e5abd2a79f6 (patch)
treef5b077b59397fab0f7d7d95c7095e05137cac485 /system
parent5b193ac62ce5442e764e21f213b9e4140d57c05b (diff)
downloadslackbuilds-d90a6c1c6732621b6e52aec937cb4e5abd2a79f6.tar.gz
system/wdfs: Added (webdav filesystem for fuse)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/wdfs/README4
-rw-r--r--system/wdfs/slack-desc19
-rw-r--r--system/wdfs/wdfs.SlackBuild81
-rw-r--r--system/wdfs/wdfs.info10
4 files changed, 114 insertions, 0 deletions
diff --git a/system/wdfs/README b/system/wdfs/README
new file mode 100644
index 0000000000..60482a365a
--- /dev/null
+++ b/system/wdfs/README
@@ -0,0 +1,4 @@
+wdfs is a webdav filesystem that makes it possible to mount a webdav
+share under linux, freebsd and apple mac os x. wdfs has some special
+features for accessing subversion repositories via webdav.
+It's based on fuse and neon.
diff --git a/system/wdfs/slack-desc b/system/wdfs/slack-desc
new file mode 100644
index 0000000000..f190e5249b
--- /dev/null
+++ b/system/wdfs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+wdfs: wdfs (webdav filesystem for fuse)
+wdfs:
+wdfs: wdfs is a webdav filesystem that makes it possible to mount a webdav
+wdfs: share under linux, freebsd and apple mac os x. wdfs has some special
+wdfs: features for accessing subversion repositories via webdav.
+wdfs: It's based on fuse and neon.
+wdfs:
+wdfs: wdfs is free software distributed under the GNU GPL.
+wdfs:
+wdfs:
+wdfs:
diff --git a/system/wdfs/wdfs.SlackBuild b/system/wdfs/wdfs.SlackBuild
new file mode 100644
index 0000000000..053af5d275
--- /dev/null
+++ b/system/wdfs/wdfs.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for wdfs
+
+# Written by Jean-Yves Didier (jean-yves.didier@ibisc.univ-evry.fr)
+
+PRGNAM=wdfs
+VERSION=${VERSION:-1.4.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/wdfs/wdfs.info b/system/wdfs/wdfs.info
new file mode 100644
index 0000000000..34ec8f79f6
--- /dev/null
+++ b/system/wdfs/wdfs.info
@@ -0,0 +1,10 @@
+PRGNAM="wdfs"
+VERSION="1.4.2"
+HOMEPAGE="http://noedler.de/projekte/wdfs/"
+DOWNLOAD="http://noedler.de/projekte/wdfs/wdfs-1.4.2.tar.gz"
+MD5SUM="628bb44194d04c1cf8aacc446ed0a230"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Jean-Yves Didier"
+EMAIL="jean-yves.didier@ibisc.univ-evry.fr"
+APPROVED="Erik Hanson"